using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Render;

[ComImport]
[SuppressUnmanagedCodeSecurity]
[TypeLibType(4096)]
[InterfaceType(2)]
[Guid("3C49F52D-55FF-42D8-99B0-BB185E9A684F")]
public interface IRenderServiceEvents
{
	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(1)]
	void DeviceLost();
}
